// P6 project
// http://reso-nance.org/wiki/projets/p6/accueil
// Moule 3D pour un capteur piézo-électrique
// Moulage en silicone
// mars 2016

// Variables
$fn=80; // résolution
epaisseur=3; 
interieur=6;

// Affichage de l'objet
p6_mold();

// Objet 3D
module p6_mold(){
    container();
    piezo();
}

// Modules
module container(){
    difference(){
        cylinder(r = 26, h = epaisseur+interieur);
        translate([0,0,epaisseur]) cylinder(r = 23, h = interieur+1);    
  }
}

module piezo(){
    cylinder(r = 23, h = epaisseur);
    cylinder(r = 20, h = epaisseur + 3);
    cylinder(r = 14, h = epaisseur + 4);
   // pour les fils
    //translate([14,0,0]) cylinder(r = 2, h = epaisseur + interieur);
   rotate([90,0,0]) translate([-2,7,0]) cube([4,2,20]);
}